# Recipes

- [Enabling User Actions](https://docs.polarity.io/integrations/recipes/enabling-user-actions.md): Add interactive elements to your integration
- [Throttling Lookups](https://docs.polarity.io/integrations/recipes/throttling-lookups.md): Throttle the number of lookups the \`doLookup\` method can make
- [Using Custom Entity Types](https://docs.polarity.io/integrations/recipes/using_custom_types.md): Define your own custom entity types to receive data
- [Custom Summary Tags](https://docs.polarity.io/integrations/recipes/colored-icons.md): You can customize your summary tags to include adding colored icons
- [Creating a Tabbed Interface](https://docs.polarity.io/integrations/recipes/creating-a-tabbed-interface.md): Quickly setup a tabbed interface within your integration
- [Accessing Username of Requestor](https://docs.polarity.io/integrations/recipes/accessing-username-of-requestor.md): You can access information about the requesting user from within the doLookup, onDetails, and onMessage hooks.
- [Updating Options](https://docs.polarity.io/integrations/recipes/updating-options.md): Update integration options from within the integration


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polarity.io/integrations/recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
